//
//  EditViewController.m
//  ScaryBugs
//
//  Created by Main Account on 3/6/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "EditViewController.h"
#import "ScaryBug.h"

@interface EditViewController () <UITextFieldDelegate, UIImagePickerControllerDelegate, UINavigationControllerDelegate>

@property (weak, nonatomic) IBOutlet UIImageView *bugImageView;
@property (weak, nonatomic) IBOutlet UITextField *bugNameTextField;
@property (weak, nonatomic) IBOutlet UILabel *bugRatingLabel;
@property (strong) NSIndexPath *editingIndexPath;
@end

@implementation EditViewController

- (void)viewWillAppear:(BOOL)animated {
  [super viewWillAppear:animated];
  self.bugImageView.image = self.bug.image;
  self.bugNameTextField.text = self.bug.name;
  self.bugRatingLabel.text = [self.bug howScaryString];
}

- (void)viewWillDisappear:(BOOL)animated {
  [super viewWillDisappear:animated];
  self.bug.image = self.bugImageView.image;
  self.bug.name = self.bugNameTextField.text;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
  
  if (indexPath.row == 0 && indexPath.section == 0) {
  
    [self.tableView deselectRowAtIndexPath:indexPath animated:YES];
    
    UIImagePickerController *picker = [[UIImagePickerController alloc] init];
    picker.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
    picker.allowsEditing = NO;
    picker.delegate = self;
    [self presentViewController:picker animated:YES completion:nil];
    
  }
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
  [textField resignFirstResponder];
  return YES;
}

- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info {
  UIImage *image = info[UIImagePickerControllerOriginalImage];
  self.bug.image = image;
  self.bugImageView.image = image;
  [self dismissViewControllerAnimated:YES completion:nil];
}

@end
